<?php
/*
 * Display Functions
 */

add_action('wp_footer','wplftr_display',100);

function wplftr_display(){

	//get options
	$all_options = wp_load_alloptions();
	$sidebars_widgets = get_option('sidebars_widgets');
	$sidebars_widgets = $sidebars_widgets['lefooter-sidebar'];
	$total = WPLFTR_OPTION()->width - 90;

	$display = false;

	//configure display via location settings
	if(!empty(WPLFTR_OPTION()->location)){
		if(isset(WPLFTR_OPTION()->location['all']) && '1' == WPLFTR_OPTION()->location['all']){
			$display = true;
		}else{
			foreach (WPLFTR_OPTION()->location as $location => $val ) {
				if($location == "home"){
					if(is_home() || is_front_page()){
						$display = true;
						break;
					}
				}
				if($location == "pages"){
					if(is_page()){
						$display = true;
						break;
					}
				}
				if($location == "posts"){
					if(is_single()){
						$display = true;
						break;
					}
				}
				if( class_exists( 'WooCommerce' ) ) {
				  if($location == "products"){
						if(is_product()){
							$display = true;
							break;
						}
					}
				}
				if($location == "category"){
					if(is_category() || is_tax()){
						$display = true;
						break;
					}
				}
				if($location == "date"){
					if(is_date()){
						$display = true;
						break;
					}
				}
				if($location == "tag"){
					if(is_tag()){
						$display = true;
						break;
					}
				}
				if($location == "author"){
					if(is_author()){
						$display = true;
						break;
					}
				}
				if($location == "search"){
					if(is_search()){
						$display = true;
						break;
					}
				}
				if($location == "search"){
					if(is_search()){
						$display = true;
						break;
					}
				}
			}
		}
	} //end location setting display
	
	$display = apply_filters('lefooter_location',$display);

	if($display == true): 
	if(!empty($sidebars_widgets)){
		echo <<<EOF
<style>
EOF;
		// foreach($sidebars_widgets as $widget){
		// 	$size = get_option('wplftr-'. $widget);
		// 	echo '#leFooter-content #'. $widget .'{
		// 		width:'. $total * ($size/100) .'px;
		// 	}';
		// }
		/*
		 * Custom Color Scheme
		 */
		
		if(!empty(WPLFTR_OPTION()->width) && WPLFTR_OPTION()->width != " "){
			echo '#leFooter #leFooter-inner { width:'. WPLFTR_OPTION()->width .'px; }';
		}

		$attr = '';

		if(!empty(WPLFTR_OPTION()->easing) && WPLFTR_OPTION()->easing != " ")
			$attr .= 'easing : "'. WPLFTR_OPTION()->easing .'"';
		if( !empty(WPLFTR_OPTION()->easing) && WPLFTR_OPTION()->easing != " " &&  !empty(WPLFTR_OPTION()->speed) && WPLFTR_OPTION()->speed != " ")
			$attr .= ',';
		if(!empty(WPLFTR_OPTION()->speed) && WPLFTR_OPTION()->speed != " ")
			$attr .= "animSpeed : ". WPLFTR_OPTION()->speed ."";
		if(!empty($attr))
			$attr = '{' . $attr . '}';

		echo <<<EOF
</style>
EOF;
	}
	
	
	echo <<<EOF
<script type="text/javascript">
	jQuery(window).load(function($){
		jQuery('div#leFooter').jleFooter($attr);

	});
</script>
EOF;

?>
<div class="leFooter-overlay"></div>
<div id="leFooter">
	<div class="le-opener-container">
		<div class="le-opener position-<?php echo WPLFTR_OPTION()->openerp;?>">
			Toggle This
		</div>
	</div>
	<div id="leFooter-content">
		<div id="leFooter-inner">
			<div class="row">
				<?php	
				if(!dynamic_sidebar('lefooter-sidebar')):
				endif;
				?>
				<div style="clear:both;"></div>
			</div>
		</div>
	</div>
</div>
<?php 
	if(isset(WPLFTR_OPTION()->open) && WPLFTR_OPTION()->open != " "){
	echo <<<EOF
<script type="text/javascript"> jQuery(window).load(function($) { jQuery('.le-opener').click(); }); </script>
EOF;
	}
	endif; //end display
} 

?>