<?php
/*##################################
	CLEAR FIX WIDGET
################################## */

/**
 * Create widget
 *
 * @since 1.0
 */
class WP_leFOOTER_CLEARFIX extends WP_Widget {

	/**
	 * Sets up the widgets name etc
	 */
	public function __construct() {
		parent::__construct(
			'wplftr_clearfix', // Base ID
			__('LeFooter: Clearfix', 'footr'), // Name
			array( 'description' => __( 'Fix leFooter Widgets Float or ADD Widget Spacing', 'footr' ), ) // Args
		);
	}

	/**
	 * Outputs the content of the widget
	 *
	 * @param array $args
	 * @param array $instance
	 */
	public function widget( $args, $instance ) {
		extract( $args );
	   	echo '<div class="lefooter-clearfix" style="height:'. intval($instance['height']) .'px;"></div>';
	}

	/**
	 * Ouputs the options form on admin
	 *
	 * @param array $instance The widget options
	 */
	public function form( $instance ) {
		// Check values
		if( $instance) {
		     $height = (isset($instance['height'])) ? esc_attr($instance['height']) : '20';
		} else {
		     $height = '1';
		}
		?>
		<p>
		<label for="<?php echo $this->get_field_id('height'); ?>"><?php _e('Height:', 'footr'); ?></label>
		<input  id="<?php echo $this->get_field_id('height'); ?>" size="4" name="<?php echo $this->get_field_name('height'); ?>" type="text" value="<?php echo $height; ?>" />px
		</p>
		<?php
	}

	/**
	 * Processing widget options on save
	 *
	 * @param array $new_instance The new options
	 * @param array $old_instance The previous options
	 */
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		// Fields
		$instance['height'] = strip_tags($new_instance['height']);

		return $instance;
	}
}

// register WPAUTBOX_Widget widget
function wplftr_widget_clearfix() {
    register_widget( 'WP_leFOOTER_CLEARFIX' );
}
add_action( 'widgets_init', 'wplftr_widget_clearfix' );
?>